public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/eclipse-ecj/
Date: Tue, 11 Oct 2022 18:25:26 +0000 (UTC)	[thread overview]
Message-ID: <1665512723.7409b42202526a1ee88d920a980565ae49e14249.fordfrog@gentoo> (raw)

commit:     7409b42202526a1ee88d920a980565ae49e14249
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 11 18:24:29 2022 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Oct 11 18:25:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7409b422

dev-java/eclipse-ecj: bump to 4.25

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/eclipse-ecj/Manifest                |  1 +
 dev-java/eclipse-ecj/eclipse-ecj-4.25.ebuild | 72 ++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-java/eclipse-ecj/Manifest b/dev-java/eclipse-ecj/Manifest
index 8445570a7ca7..00234773ac65 100644
--- a/dev-java/eclipse-ecj/Manifest
+++ b/dev-java/eclipse-ecj/Manifest
@@ -1,2 +1,3 @@
 DIST ecjsrc-4.15.jar 2166228 BLAKE2B 794e0ba1a19b325e2dd8ad0b288ccbe04866627670b50d39dd327c13fe1fac56200eb3a6c1c3d1af043cad795508b9b714a5243049671414b5a62a97725d3297 SHA512 ada55b2522cf26570f0cd43f415eb5cf20e6840f83dadc72e1ae474ebf10eadca73f9fa3d1db51e13fd2762c38cd3e3567db3c7840d43ae3d8665ebe35e1889d
 DIST ecjsrc-4.22.jar 2358194 BLAKE2B e091050297b4556c38adfb01fb1e43e13644af1b3c2b30a93cfe3fdbb55050a0f7709081c7406d384d7141de67a954253aa26cdbb45f56327b16ee5ddd5e82a7 SHA512 cd52a72aecded032625ee83581ac565e1e96f8d26ecfc76e982274fd3d6238f1e7f22576855589b021e9a5ef67686b9b75e010c4e2033a8b7f6e7c9b1ff7eb4c
+DIST ecjsrc-4.25.jar 2340770 BLAKE2B e1e82356984a72e7ebbd5ace2ccbaf885c7acfdaf410b2386fa0a143f85e4431cfa2f5d254197eb56203c48505bc7dbe264664815b572c725ac5814645254776 SHA512 b475d58ef6a03e4bbf7e0f440edcbdd61e0548f68e48c7762973f60850a14fc1c234bb9a41be404ed06db14a273646f1dc5ad7effd4c7146b46f40a52850f236

diff --git a/dev-java/eclipse-ecj/eclipse-ecj-4.25.ebuild b/dev-java/eclipse-ecj/eclipse-ecj-4.25.ebuild
new file mode 100644
index 000000000000..6cbe1264075f
--- /dev/null
+++ b/dev-java/eclipse-ecj/eclipse-ecj-4.25.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_PN="ecj"
+DMF="R-${PV}-202208311800"
+
+DESCRIPTION="Eclipse Compiler for Java"
+HOMEPAGE="https://www.eclipse.org/"
+SRC_URI="https://download.eclipse.org/eclipse/downloads/drops4/${DMF}/${MY_PN}src-${PV}.jar"
+
+LICENSE="EPL-1.0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+SLOT="4.25"
+IUSE="+ant"
+
+COMMON_DEP="
+	app-eselect/eselect-java
+	dev-java/ant-core:0"
+RDEPEND="${COMMON_DEP}
+	>=virtual/jre-11:*"
+DEPEND="${COMMON_DEP}
+	>=virtual/jdk-17:*
+	app-arch/unzip"
+PDEPEND="
+	ant? ( ~dev-java/ant-eclipse-ecj-${PV} )"
+
+JAVA_JAR_FILENAME="${MY_PN}.jar"
+JAVA_GENTOO_CLASSPATH="ant-core"
+
+S="${WORKDIR}"
+
+# See https://bugs.eclipse.org/bugs/show_bug.cgi?id=479134 for details
+src_prepare() {
+	default
+
+	# These have their own package.
+	rm org/eclipse/jdt/core/JDTCompilerAdapter.java || die
+	rm -r org/eclipse/jdt/internal/antadapter || die
+
+	# JavaCore is not distributed in the jar
+	sed -i -e '/import org.eclipse.jdt.core.JavaCore;/d' \
+		-e 's|JavaCore.getOptions()||g' \
+		org/eclipse/jdt/internal/compiler/batch/ClasspathDirectory.java
+}
+
+src_compile() {
+	java-pkg-simple_src_compile
+	find org META-INF -type f ! -name "*.java" | xargs jar uvf "${JAVA_JAR_FILENAME}" || die "jar update failed"
+}
+
+src_install() {
+	java-pkg-simple_src_install
+	java-pkg_dolauncher ${MY_PN}-${SLOT} --main \
+		org.eclipse.jdt.internal.compiler.batch.Main
+}
+
+pkg_postinst() {
+	einfo "To select between slots of ECJ..."
+	einfo " # eselect ecj"
+
+	eselect ecj update ecj-${SLOT}
+}
+
+pkg_postrm() {
+	eselect ecj update
+}


             reply	other threads:[~2022-10-11 18:25 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-11 18:25 Miroslav Šulc [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-20 15:42 [gentoo-commits] repo/gentoo:master commit in: dev-java/eclipse-ecj/ Miroslav Šulc
2024-09-19  8:45 Miroslav Šulc
2024-09-19  8:45 Miroslav Šulc
2024-05-22  9:31 Miroslav Šulc
2024-04-30 15:31 Sam James
2024-04-30 15:31 Sam James
2024-04-05  8:16 Miroslav Šulc
2024-04-03  8:45 Miroslav Šulc
2024-03-30 11:13 Arthur Zamarin
2024-03-30  8:51 Arthur Zamarin
2024-03-17  8:56 Miroslav Šulc
2024-03-12  9:34 Miroslav Šulc
2024-03-12  8:05 Sam James
2024-03-12  8:05 Sam James
2024-03-12  4:29 Ionen Wolkens
2024-03-12  4:29 Ionen Wolkens
2024-03-12  4:29 Ionen Wolkens
2024-03-12  4:29 Ionen Wolkens
2024-02-26 12:53 Miroslav Šulc
2024-02-26 10:46 Jakov Smolić
2024-02-26 10:46 Jakov Smolić
2024-01-24  9:03 Miroslav Šulc
2023-12-04  9:09 Miroslav Šulc
2023-11-24 11:14 Miroslav Šulc
2023-11-24 11:14 Miroslav Šulc
2023-11-20  7:54 Miroslav Šulc
2023-11-20  7:54 Miroslav Šulc
2023-11-20  7:54 Miroslav Šulc
2023-07-18 17:21 Sam James
2023-07-18 17:21 Sam James
2023-05-21  7:58 Miroslav Šulc
2023-05-18  5:59 Miroslav Šulc
2023-05-18  5:59 Miroslav Šulc
2023-02-16  6:04 Sam James
2023-02-16  6:04 Sam James
2023-01-15  9:50 Miroslav Šulc
2022-11-12  2:39 Sam James
2022-11-11 21:16 Sam James
2022-07-05  7:29 Agostino Sarubbo
2022-07-05  6:01 Agostino Sarubbo
2022-06-02  6:20 Miroslav Šulc
2022-05-30  8:36 Florian Schmaus
2022-05-11  7:33 Florian Schmaus
2022-05-10 13:32 Florian Schmaus
2022-05-01 16:34 Miroslav Šulc
2022-03-30 11:09 Jakov Smolić
2022-03-02 20:52 Miroslav Šulc
2022-03-02 20:52 Miroslav Šulc
2022-02-19  9:44 Miroslav Šulc
2022-02-02 15:23 Jakov Smolić
2021-11-17 12:06 Miroslav Šulc
2020-11-24 10:30 Miroslav Šulc
2020-09-19 15:55 Aaron Bauman
2020-02-27 22:35 Miroslav Šulc
2020-02-27 20:01 Miroslav Šulc
2019-10-16 10:51 Miroslav Šulc
2019-01-23 14:54 Miroslav Šulc
2016-12-13 11:30 Agostino Sarubbo
2016-12-13 11:05 Agostino Sarubbo
2016-02-19 20:54 James Le Cuirot
2015-12-04 17:56 Miroslav Šulc
2015-08-22 20:59 James Le Cuirot
2015-08-22 20:59 James Le Cuirot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665512723.7409b42202526a1ee88d920a980565ae49e14249.fordfrog@gentoo \
    --to=fordfrog@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox